Class | TMail::MhMailbox
In: | lib/tmail/mailbox.rb
Parent: | Object

### Methods

close directory dirname each each_new_port each_port inspect new new_port reverse_each reverse_each_port

### Constants

PORT_CLASS | = | MhPort

### Attributes

last_atime | [RW] |

### Public Class methods

new( dir )

[Source]

    # File lib/tmail/mailbox.rb, line 52
        def initialize( dir )
          edir = File.expand_path(dir)
          raise ArgumentError, "not directory: #{dir}"\
                                  unless FileTest.directory? edir
          @dirname = edir
          @last_file = nil
          @last_atime = nil
        end

### Public Instance methods

close()

[Source]

    # File lib/tmail/mailbox.rb, line 73
        def close
        end

directory()

[Source]

    # File lib/tmail/mailbox.rb, line 61
        def directory
          @dirname
        end

dirname()

Alias for directory

each()

Alias for each_port

each_new_port( mtime = nil ) {|PORT_CLASS.new(path) if File.mtime(path) > mtime| ...}

     old #each_mail returns Port

def each_mail

      each_port do |port|
        yield Mail.new(port)
      end

end

[Source]

    # File lib/tmail/mailbox.rb, line 105
        def each_new_port( mtime = nil, &block )
          mtime ||= @last_atime
          return each_port(&block) unless mtime
          return unless File.mtime(@dirname) >= mtime

          mail_files().each do |path|
            yield PORT_CLASS.new(path) if File.mtime(path) > mtime
          end
          @last_atime = Time.now
        end

each_port() {|PORT_CLASS.new(path)| ...}

[Source]

    # File lib/tmail/mailbox.rb, line 80
        def each_port
          mail_files().each do |path|
            yield PORT_CLASS.new(path)
          end
          @last_atime = Time.now
        end

inspect()

[Source]

    # File lib/tmail/mailbox.rb, line 69
        def inspect
          "#<#{self.class} #{@dirname}>"
        end

new_port()

[Source]

    # File lib/tmail/mailbox.rb, line 76
        def new_port
          PORT_CLASS.new(next_file_name())
        end

reverse_each()

Alias for reverse_each_port

reverse_each_port() {|PORT_CLASS.new(path)| ...}

[Source]

    # File lib/tmail/mailbox.rb, line 89
        def reverse_each_port
          mail_files().reverse_each do |path|
            yield PORT_CLASS.new(path)
          end
          @last_atime = Time.now
        end

[Validate]